Package htsjdk.samtools.util

# Class Murmur3

java.lang.Object
htsjdk.samtools.util.Murmur3

All Implemented Interfaces:
  `Serializable`

public final class Murmur3 extends Object implements Serializable
Provides an implementation of the Murmur3_32 hash algorithm that has desirable properties in terms of randomness and uniformity of the distribution of output values that make it a useful hashing algorithm for downsampling.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Murmur3(int seed)`
Constructs a Murmur3 hash with the given seed.

## Method Summary

Modifier and Type
Method
Description
`int`
`hashUnencodedChars(CharSequence input)`
Hashes a character stream to an int using Murmur3.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Murmur3

public Murmur3(int seed)
Constructs a Murmur3 hash with the given seed.

## Method Details

### hashUnencodedChars

public int hashUnencodedChars(CharSequence input)
Hashes a character stream to an int using Murmur3.